//
//  FGAsciiView.h
//  Created by Francesco Germinara on 11/5/05.
//  Freeware 2005
//  www.germinara.it

//Subclass della classe NSTextView per visualizzare il testo in formato ASCII, solo i caratteri stampabili sono visualizzati
//

#import <Cocoa/Cocoa.h>

@class FGHexTextView;

@interface FGAsciiView : NSTextView {
 NSFont *fntDati;      //Il font usato
 long int _dimbuffer;  //Dimensione del buffer dati allocato dinamicamente
 NSMutableData *bufferdata;  //Buffer dei dati
 
 FGHexTextView *aHexView; //Collegamento con l'altra finestra di visualizzazione dei dati in Hex
}
 -(void)setHexView:( FGHexTextView *)aHexView; //Imposto l'oggetto di tipo Editor Hex
- (void)updateData:(NSRange) aRange; //Aggiorno i dati 
- (void)setTextToBuffer; //Refresh dei dati della NSTextView con i dati presenti nel buffer dati (NSMutableData)
-(void)updateHexView:(NSRange) aRange; //Aggiorno dati dell'oggetto Hex
-(void)setSize:(int)nBytes; //Imposto le dimensionii del buffer dati

@end
